package com.seatel.mobilehall.ui.home.interactor

import com.android.volley.VolleyError
import com.seatel.mobilehall.ui.home.model.SupportedDeviceModel

interface SupportedDeviceInteractor {

    interface View {
        fun responseSucceedSupportedDeviceData(supportedDeviceList: ArrayList<SupportedDeviceModel>)
        fun responseFailed(error: VolleyError)
    }


    interface Presenter {
        fun onLoadData()
    }
}